<div class="publishWrap">
  <div class="bredcum">
    <div class="menuTab pull-left">
      <ul>
        <li>
          <p class="completed">Start</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p   class="completed">Design</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li>
          <p  class="completed">Assign</p>
        </li>
        <li>
          <div class="das"></div>
        </li>
        <li [ngClass]="{'active':true}" class="completed">
          <p>Share</p>
        </li>
      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean download">
        Import from question bank
      </button>
    </div>
  </div>
  <div class="titleCont">
    <h4 class="black">New Assignment - Assign Students</h4>
  </div>
  <div class="contentCont">
    <div class="qCont">
      <div class="headingBar">
        <div class="col-sm-6 MP0">
          <h4>{{assignmentParameterDetails && assignmentParameterDetails.assignmentName}} for {{ assignmentParameterDetails &&  assignmentParameterDetails.className}} </h4>
          <div class="tag">
            <ul>
              <li>
                <p> {{assignmentParameterDetails.subjectName}} </p>
              </li>
              <li>
                <p>{{assignmentParameterDetails.className}}</p>
              </li>
              <li>
                <p>{{assignmentParameterDetails.semisterName}}</p>
              </li>
            </ul>
          </div>
        </div>
        <div class="col-sm-6 MP0 text-right">

          <div class="tag1">
            <ul>

              <li class="creatgrpBtn">
                <p>Create Group</p>
              </li>
              <li>
                <p>Marks : {{questionDetailsMarks}}</p>
              </li>
            </ul>
          </div>
        </div>
      </div>

      <div class="Subtitle">
        <h4 class="black">New Assignment - Assign Students</h4>
        <span class="viewDeatils">View Details</span>
      </div>

      <div class="Subtitle">
        <h4 class="black">30 Students added for the assignment</h4>
        <span class="viewDeatils">View Details</span>
      </div>

      <div class="publisCont">
        <ul>
          <li>
            <!--id="publishStatus" (click)="addPublishclass()"-->
            <div class="publisText">
              <p>Notify me when all the students submit the assignment</p>
              <div class="satusBtn "  ></div>
            </div>
          </li>
          <li>
            <div class="publisText">
              <p>Notify me if a student rejects assignment</p>
              <div class="satusBtn " ></div>
            </div>
          </li>
          <li>
            <div class="publisText">
              <p>Notify me if any  comments that student submits for the assignment</p>
              <div class="satusBtn " ></div>
            </div>
          </li>
          <li>
            <div class="publisText">
              <p>Allow student to comment on the assignment</p>
              <div class="satusBtn " ></div>
            </div>
          </li>
          <li>
            <div class="publisText">
              <p>Want to evaluate assignment offline only</p>
              <div class="satusBtn"  [ngClass]="{'on': isNotifyOffline}" (click)="notififyOffline()" ></div>
            </div>
          </li>
        </ul>
      </div>


      <div class="awardWrap">
        <h4>Award Details</h4>
        <ul>
          <li>
          <!--  <div class="awradCont">
              <label for="gradeName">GRADE<span style="color:red">*</span></label>
              <div class="dropDown custmdropdwon">
                <select class="btn-custm" [(ngModel)]="assignmentObj.gradeName" name="gradeName" id="gradeName" #gradeName="ngModel"  required>
                  <option>Select Grade</option>
                  <option *ngFor="let grade of assignmentPublishDetails.gradesList " >{{grade.gradeName}}</option>

                </select>
              </div>
              <span class="alert-msg"  style="color:red" *ngIf="gradeName.touched && gradeName.invalid">Please select Grade.</span>
            </div>-->
             <label>award</label>
             <div class="dropDown custmdropdwon">
               <select class="btn-custm">
                 <option>Formative</option>
                 <option>option 2</option>
                 <option>option 3</option>
                 <option>option 4</option>
               </select>
             </div>
          </li>
          <li>
            <div class="awradCont">
              <label>Split award</label>
              <div class="dropDown custmdropdwon">
                <select class="btn-custm">
                  <option>1</option>
                  <option>option 2</option>
                  <option>option 3</option>
                  <option>option 4</option>
                </select>
              </div>
            </div>
          </li>
          <li>
            <div class="awradCont">
              <label>4 clearly competent</label>
              <div class="dropDown custmdropdwon">
                <select class="btn-custm">
                  <option>All types</option>
                  <option>option 2</option>
                  <option>option 3</option>
                  <option>option 4</option>
                </select>
              </div>
            </div>
          </li>
        </ul>
      </div>
    </div>


  </div>

  <div class="nav">
    <div class="pull-right">
      <button class="btn btn-defult print" data-toggle="modal" data-target="#printQuestionsModel"  (click)="getAssignmentQuestionByIDDetails()" >Print</button>

      <button class="btn btn-defult preview"(click)="navigateToListAssignmentView()">Preview</button>
      <button class="btn btn-cyean publish" *ngIf="isGroupPublish" (click)="getAllAssignmentGroupDetails()" >Publish</button>
      <button class="btn btn-cyean publish" *ngIf="!isGroupPublish"  (click)="publishToAllstudentsPerAssignment()" >Publish</button>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="printQuestionsModel" role="dialog">
  <div class="modal-dialog modal-lg" style="width:90%">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Assignment Questions Preview</h4>
      </div>
      <div class="modal-body"  id="html2Pdf">
        <div class="modal-body" id="confirmMessage" style="padding:60px">
          <div class="addquestionWrap"  id="contentToConvert">
            <div class="titleCont">
              <h4 class="black"> Assignment - Questionnaire</h4>
            </div>
            <div class="contentCont">
              <div class="qCont">
                <div class="headingBar">
                  <div class="col-sm-6 MP0">
                    <h4>{{assignmentParameterDetails.assignmentName}} for {{assignmentParameterDetails.className}} </h4>
                    <div class="tag">
                      <ul>
                        <li>
                          <p>{{assignmentParameterDetails.className}}</p>
                        </li>
                        <li>
                          <p>{{assignmentParameterDetails.subjectName}}</p>
                        </li>
                        <li>
                          <p>{{assignmentParameterDetails.semisterName}}</p>
                        </li>
                      </ul>
                    </div>
                  </div>
                  <div class="col-sm-6 MP0 text-right">
                    <div class="tag1">
                      <ul>
                        <li>
                          <p *ngIf="questionDetailsList && questionDetailsList.length>0">Questions created :{{questionDetailsList.length}} </p>
                        </li>
                        <li>
                          <p>Marks : {{questionDetailsMarks}}</p>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
                <div class="qBlock">
                  <div *ngIf="questionDetailsList && questionDetailsList.length>0">
                    <div *ngFor="let questionObj of questionDetailsList ;let i = index">
                      <div class="qCont typ1 demo1"   [attr.id]="i"   *ngIf="questionObj['questionType'+[i]]==='Text'">
                        <div class="qBlockHolder">
                          <div class="col60">
                            <div class="qinfo">
                              <div class="qnpTitle">
                                <em class="dot"></em>
                                <span class="qNo">Question {{i+1}} </span>
                              </div>
                              <div class="qText">
                                <span class="dargIcon"></span>
                                <div class="inputCont">
                                  <input type="text" [(ngModel)]="questionObj['textQuestionTitle'+[i]]" name="questionObj['textQuestionTitle'+[i]]">
                                  <div class="mediaCont">
                                    <ul>
                                      <li>
                                        <span class="Micon typ0"></span>
                                      </li>
                                      <li>
                                        <span class="Micon typ1"></span>
                                      </li>
                                      <li>
                                        <span class="Micon typ2"></span>
                                      </li>
                                      <li>
                                        <span class="Micon typ3"></span>
                                      </li>
                                    </ul>
                                  </div>
                                </div>
                              </div>
                              <div class="optionCont">
                                <div class="textHolder">
                                 <textarea type="text"
                                [(ngModel)]="questionObj['textQuestionDesp'+[i]]" name="questionObj['textQuestionDesp'+[i]]"></textarea>
                                </div>
                              </div>

                            </div>
                          </div>
                          <div class="col40">
                            <div class="box">
                              <div class="weight">
                                <label>Enter weighting</label>
                                <input type="number"
                                       [(ngModel)]="questionObj['textQuestionWeight'+[i]]" name="questionObj['textQuestionWeight'+[i]]">
                              </div>
                              <div class="dropDwonHolder">
                                <ul>
                                  <li>
                                    <div class="dropDown custmdropdwon">
                                      <select class="btn-custm">
                                        <option>level 7</option>
                                        <option>level 7</option>
                                      </select>
                                    </div>
                                  </li>
                                  <li>
                                    <div class="dropDown custmdropdwon">
                                      <select class="btn-custm">
                                        <option>10 Percentage</option>
                                        <option>level 7</option>
                                      </select>
                                    </div>
                                  </li>
                                </ul>
                              </div>
                              <div class="ctable">
                                <table>
                                  <tr>
                                    <td class="wit60">
                                      <span class="icon active circle"data-toggle="modal" data-target="#addStanders" ></span>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon award"></span>
                                    </td>
                                    <td>
                                      <p class="textInfo">K12 - 6.1 Accounting</p>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon hidden"></span>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="wit60">
                                      <span class="icon drag" (click)="fnCollapse(i)"></span>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon file"></span>

                                      <div class="notifi">
                                        <em>3</em>
                                      </div>                          </td>
                                    <td>
                                      <p class="textInfo alink">
                                        www.link.com/resource
                                      </p>
                                    </td>

                                  </tr>
                                </table>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="qCont typ0 demo1"  [attr.id]="i" *ngIf="questionObj['questionType'+[i]]==='Choice'">
                        <div class="qBlockHolder">
                          <div class="col60">
                            <div class="qinfo">
                              <div class="qnpTitle">
                                <em class="dot"></em>
                                <span class="qNo">Question {{i+1}} </span>
                              </div>
                              <div class="qText">
                                <span class="dargIcon"></span>
                                <div class="inputCont">
                                  <input type="text"
                                         [(ngModel)]="questionObj['choiceTitle'+[i]]" name="questionObj['choiceTitle'+[i]" />
                                </div>

                              </div>
                              <div class="optionCont">
                                <ul>

                                  <li  *ngFor="let choiceObj of questionObj.choiceTypes let k = index ">
                                    <div class="elementTxt" >
                                      <div class="qText">
                                        <span class="dargIcon" style="visibility: hidden"></span>
                                        <div class="inputCont" style="padding: 5px 20px;">
                                          <input type="text" [(ngModel)]="questionObj['choiceObj'+[k]]" name="questionObj['choiceObj'+[i]]">
                                        </div>
                                      </div>
                                    </div>
                                    <span class="checkIcon "  style="top: 25px;" (click)="markChoiceAsAnswer(choiceObj)"></span>

                                  </li>

                                </ul>
                              </div>

                            </div>
                          </div>
                          <div class="col40">
                            <div class="box">
                              <div class="weight">
                                <label>Enter weighting</label>
                                <input type="number" [(ngModel)]="questionObj['choiceQuestionWeight'+[i]]" name="questionObj['choiceQuestionWeight'+[i]]">
                              </div>
                              <div class="dropDwonHolder">
                                <ul>
                                  <li>
                                    <div class="dropDown custmdropdwon">
                                      <select class="btn-custm">
                                        <option>level 7</option>
                                        <option>level 7</option>
                                      </select>
                                    </div>
                                  </li>
                                  <li>
                                    <div class="dropDown custmdropdwon">
                                      <select class="btn-custm">
                                        <option>10 Percentage</option>
                                        <option>level 7</option>
                                      </select>
                                    </div>
                                  </li>
                                </ul>
                              </div>
                              <div class="ctable">
                                <table>
                                  <tr>
                                    <td class="wit60">
                                      <span class="icon active circle" data-toggle="modal" data-target="#addStanders"></span>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon award"></span>
                                    </td>
                                    <td>
                                      <p class="textInfo">K12 - 6.1 Accounting</p>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon hidden"></span>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="wit60">
                                      <span class="icon drag" (click)="fnCollapse(i)"></span>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon file"></span>

                                      <div class="notifi">
                                        <em>3</em>
                                      </div>                          </td>
                                    <td>
                                      <p class="textInfo alink">
                                        www.link.com/resource
                                      </p>
                                    </td>

                                  </tr>
                                </table>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="qCont typ2 demo1"   [attr.id]="i"   *ngIf="questionObj['questionType'+[i]]==='Match'">
                        <div class="qBlockHolder">
                          <div class="col60">
                            <div class="qinfo">
                              <div class="qnpTitle">
                                <em class="dot"></em>
                                <span class="qNo">Question {{i+1}} </span>
                              </div>
                              <div class="qText">
                                <span class="dargIcon"></span>
                                <div class="inputCont">
                                  <input type="text" [(ngModel)]="questionObj['matchMainQuestion'+[i]]"
                                         name="questionObj['matchMainQuestion'+[i]" />
                                  <div class="mediaCont">
                                    <ul>
                                      <li>
                                        <span class="Micon typ0"></span>
                                      </li>
                                      <li>
                                        <span class="Micon typ1"></span>
                                      </li>
                                      <li>
                                        <span class="Micon typ2"></span>
                                      </li>
                                      <li>
                                        <span class="Micon typ3"></span>
                                      </li>
                                    </ul>
                                  </div>
                                </div>
                              </div>
                              <div class="optionCont">
                                <div class="dargDis">
                                  <table>
                                    <tr >
                                      <td>
                                        <label>Side a</label>
                                      </td>
                                      <td class="wit150">

                                      </td>
                                      <td>
                                        <label>side B</label>
                                      </td>
                                    </tr>
                                    <tr *ngFor="let matchObj of questionObj.matchOptionsList let b = index ">

                                      <td class="dashed" *ngIf="matchObj.isMatchDistractor">
                                        <span class="no">{{b+1}}</span>
                                        <p class="textCOnt">
                                          <input type="text"
                                                 [(ngModel)]="questionObj[matchObj.leftquestion[b]]" name="questionObj[matchObj.leftquestion[b]]"/>
                                        </p>
                                      </td>
                                      <td *ngIf="!matchObj.isMatchDistractor">
                                        <span class="no">{{b+1}}</span>
                                        <p class="textCOnt">
                                          <input type="text"  [(ngModel)]="questionObj[matchObj.leftquestion[b]]" name="questionObj[matchObj.leftquestion[b]]" />
                                        </p>
                                      </td>
                                      <td class="wit150" *ngIf="!matchObj.isMatchDistractor">
                                        <div class="dashedlineCon">
                                          <span class="dashLine"></span>
                                        </div>
                                      </td>
                                      <td class="dashed" *ngIf="!matchObj.isMatchDistractor">
                                        <span class="no">{{b+1}}</span>
                                        <p class="textCOnt">
                                          <input type="text"  [(ngModel)]="questionObj[matchObj.rightAnswer[b]]"
                                                 name="questionObj[matchObj.rightAnswer[b]]" />
                                        </p>
                                      </td>


                                    </tr>

                                  </table>
                                </div>
                              </div>

                            </div>
                          </div>
                          <div class="col40">
                            <div class="box">
                              <div class="weight">
                                <label>Enter weighting</label>
                                <input type="number"
                                       [(ngModel)]="questionObj['matchQuestionWeight'+[i]]" name="questionObj['matchQuestionWeight'+[i]]">
                              </div>
                              <div class="dropDwonHolder">
                                <ul>
                                  <li>
                                    <div class="dropDown custmdropdwon">
                                      <select class="btn-custm">
                                        <option>level 7</option>
                                        <option>level 7</option>
                                      </select>
                                    </div>
                                  </li>
                                  <li>
                                    <div class="dropDown custmdropdwon">
                                      <select class="btn-custm">
                                        <option>10 Percentage</option>
                                        <option>level 7</option>
                                      </select>
                                    </div>
                                  </li>
                                </ul>
                              </div>
                              <div class="ctable">
                                <table>
                                  <tr>
                                    <td class="wit60">
                                      <span class="icon active circle" data-toggle="modal" data-target="#addStanders"></span>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon award"></span>
                                    </td>
                                    <td>
                                      <p class="textInfo">K12 - 6.1 Accounting</p>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon hidden"></span>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="wit60">
                                      <span class="icon drag" (click)="fnCollapse(i)"></span>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon file"></span>

                                      <div class="notifi">
                                        <em>3</em>
                                      </div>                          </td>
                                    <td>
                                      <p class="textInfo alink">
                                        www.link.com/resource
                                      </p>
                                    </td>
                                  </tr>
                                </table>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="qCont typ3 demo1"   [attr.id]="i"   *ngIf="questionObj['questionType'+[i]]==='Fill'">
                        <div class="qBlockHolder">
                          <div class="col60">
                            <div class="qinfo">
                              <div class="qnpTitle">
                                <em class="dot"></em>
                                <span class="qNo">Question {{finalQuestionsArr.length+1}} </span>
                              </div>
                              <div class="qText">
                                <span class="dargIcon"></span>
                                <div class="inputCont">
                                  <input type="text"
                                         [(ngModel)]="questionObj['fillTitle'+[i]]" name="questionObj['fillTitle'+[i]]" />

                                </div>
                              </div>
                              <div class="alert-msg">
                                <p>Words in double inverted commas “” in a statement will be marked as blank words. </p>
                              </div>
                              <div class="optionCont multi">
                                <ul class="mutiOp">
                                  <li *ngFor="let fillObj of questionObj.fillOptionsList let p = index ">
                                    <div class="qText">
                                      <span class="dargIcon" style="visibility: hidden;"></span>
                                      <div class="inputCont" style="padding: 5px 25px;">
                                        <input type="text" [(ngModel)]="questionObj.fillOptionsList[fillObj]"
                                               name="questionObj.fillOptionsList[fillObj]"/>
                                      </div>
                                    </div>


                                  </li>

                                </ul>
                              </div>

                            </div>
                          </div>
                          <div class="col40">
                            <div class="box">
                              <div class="weight">
                                <label>Enter weighting</label>
                                <input type="number"  [(ngModel)]="questionObj['fillQuestionWeight'+[i]]" name="questionObj['fillQuestionWeight'+[i]]">
                              </div>
                              <div class="dropDwonHolder">
                                <ul>
                                  <li>
                                    <div class="dropDown custmdropdwon">
                                      <select class="btn-custm">
                                        <option>level 7</option>
                                        <option>level 7</option>
                                      </select>
                                    </div>
                                  </li>
                                  <li>
                                    <div class="dropDown custmdropdwon">
                                      <select class="btn-custm">
                                        <option>10 Percentage</option>
                                        <option>level 7</option>
                                      </select>
                                    </div>
                                  </li>
                                </ul>
                              </div>
                              <div class="ctable">
                                <table>
                                  <tr>
                                    <td class="wit60">
                                      <span class="icon active circle" data-toggle="modal" `></span>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon award active"></span>
                                    </td>
                                    <td>
                                      <p class="textInfo">K12 - 6.1 Accounting</p>
                                    </td>
                                    <td  class="wit60">
                                      <span class="icon hidden"></span>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td class="wit60">
                                      <span class="icon drag "  (click)="fnCollapse(i)"></span>
                                    </td>
                                    <td  class="wit60 PR">
                                      <span class="icon file active"></span>
                                      <div class="notifi">
                                        <em>3</em>
                                      </div>

                                    </td>
                                    <td>
                                      <p class="textInfo alink">
                                        www.link.com/resource
                                      </p>
                                    </td>

                                  </tr>
                                </table>
                              </div>
                            </div>
                          </div>
                        </div>


                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="generatePDF()">Print</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>


